Skip to main content
POST
/
platform
/
data
/
redaction
/
execute
/
{reportId}
Error
A valid request URL is required to generate request examples
{
  "affectedEntities": {
    "checkouts": {
      "count": 123,
      "ids": [
        "<string>"
      ]
    },
    "customerAccountId": 123,
    "orders": {
      "count": 123,
      "ids": [
        "<string>"
      ]
    },
    "payments": {
      "count": 123,
      "ids": [
        "<string>"
      ]
    },
    "returns": {
      "count": 123,
      "ids": [
        "<string>"
      ]
    },
    "shipments": {
      "count": 123,
      "ids": [
        "<string>"
      ]
    },
    "wishlists": {
      "count": 123,
      "ids": [
        "<string>"
      ]
    }
  },
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "errorSummary": "<string>",
  "executionCompletedAt": "2023-11-07T05:31:56Z",
  "executionStartedAt": "2023-11-07T05:31:56Z",
  "operationLog": [
    {
      "durationMs": 123,
      "entityId": "<string>",
      "entityType": "<string>",
      "errorMessage": "<string>",
      "operation": "<string>",
      "phase": "<string>",
      "recordsAffected": 123,
      "status": "<string>",
      "store": "<string>",
      "timestamp": "2023-11-07T05:31:56Z"
    }
  ],
  "reportId": "<string>",
  "request": {
    "attributeFqns": {
      "customer": [
        "<string>"
      ],
      "order": [
        "<string>"
      ],
      "return": [
        "<string>"
      ],
      "shipment": [
        "<string>"
      ]
    },
    "clearDataNodes": {
      "checkouts": true,
      "orders": true,
      "shipments": true
    },
    "correlationId": "<string>"
  },
  "schemaVersion": 123,
  "status": "<string>",
  "subject": {
    "customerAccountId": 123,
    "resolvedEmailAddresses": [
      "<string>"
    ],
    "userId": "<string>"
  },
  "tenantId": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

reportId
string
required

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

OK

affectedEntities
object
auditInfo
object
createdAt
string<date-time>
errorSummary
string | null
executionCompletedAt
string<date-time> | null
executionStartedAt
string<date-time> | null
operationLog
object[] | null
reportId
string | null
request
object
schemaVersion
integer<int32>
status
string | null
subject
object
tenantId
integer<int32>